Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.jndi
Class SimpleContext

    java.lang.Object
      org.mule.jndi.SimpleContext

All Implemented Interfaces:
  Context

    public class SimpleContext

extends Object
implements Context

Field Summary
`protected Map` | `bindings` What holds the bindings.

Fields inherited from interface javax.naming.Context
`APPLET, AUTHORITATIVE, BATCHSIZE, DNS_URL, INITIAL_CONTEXT_FACTORY, LANGUAGE, OBJECT_FACTORIES, PROVIDER_URL, REFERRAL, SECURITY_AUTHENTICATION, SECURITY_CREDENTIALS, SECURITY_PRINCIPAL, SECURITY_PROTOCOL, STATE_FACTORIES, URL_PKG_PREFIXES`

Constructor Summary
`SimpleContext()`

Method Summary
`Object` | `addToEnvironment(String key, Object val)`
`void` | `bind(Name name, Object obj)`
`void` | `bind(String name, Object obj)`
`void` | `close()`
`Name` | `composeName(Name name, Name prefix)`
`String` | `composeName(String name, String prefix)`
`Context` | `createSubcontext(Name name)`
`Context` | `createSubcontext(String name)`
`void` | `destroySubcontext(Name name)`
`void` | `destroySubcontext(String name)`
`Hashtable` | `getEnvironment()`
`String` | `getNameInNamespace()`
`NameParser` | `getNameParser(Attributes.Name name)`
`NameParser` | `getNameParser(Name name)`
`NameParser` | `getNameParser(String name)`
`NamingEnumeration` | `list(Attributes.Name name)`
`NamingEnumeration` | `list(Name name)`
`NamingEnumeration` | `list(String name)`
`NamingEnumeration` | `listBindings(Name name)`
`NamingEnumeration` | `listBindings(String name)`
`Object` | `lookup(Name name)`
`Object` | `lookup(String name)`
`Object` | `lookupLink(Attributes.Name name)`
`Object` | `lookupLink(Name name)`
`Object` | `lookupLink(String name)`
`void` | `rebind(Name name, Object obj)`
`void` | `rebind(String name, Object obj)`
`Object` | `removeFromEnvironment(String key)`
`void` | `rename(Attributes.Name oldName, Attributes.Name newName)`
`void` | `rename(Name oldName, Name newName)`
`void` | `rename(String oldName, String newName)`
`void` | `unbind(Name name)`
`void` | `unbind(String name)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### bindings

    protected Map bindings

  What holds the bindings.

Constructor Detail

### SimpleContext

    public SimpleContext()

Method Detail

### lookupLink

    public Object lookupLink(Name name)
                      throws NamingException

  Specified by:
    `lookupLink` in interface `Context`
  Throws:
    `NamingException`

### rename

    public void rename(Name oldName,
                       Name newName)
                throws NamingException

  Specified by:
    `rename` in interface `Context`
  Throws:
    `NamingException`

### getNameParser

    public NameParser getNameParser(Name name)
                             throws NamingException

  Specified by:
    `getNameParser` in interface `Context`
  Throws:
    `NamingException`

### list

    public NamingEnumeration list(Name name)
                           throws NamingException

  Specified by:
    `list` in interface `Context`
  Throws:
    `NamingException`

### lookup

    public Object lookup(Name name)
                  throws NamingException

  Specified by:
    `lookup` in interface `Context`
  Throws:
    `NamingException`

### lookup

    public Object lookup(String name)
                  throws NamingException

  Specified by:
    `lookup` in interface `Context`
  Throws:
    `NamingException`

### bind

    public void bind(Name name,
                     Object obj)
              throws NamingException

  Specified by:
    `bind` in interface `Context`
  Throws:
    `NamingException`

### bind

    public void bind(String name,
                     Object obj)
              throws NamingException

  Specified by:
    `bind` in interface `Context`
  Throws:
    `NamingException`

### rebind

    public void rebind(Name name,
                       Object obj)
                throws NamingException

  Specified by:
    `rebind` in interface `Context`
  Throws:
    `NamingException`

### rebind

    public void rebind(String name,
                       Object obj)
                throws NamingException

  Specified by:
    `rebind` in interface `Context`
  Throws:
    `NamingException`

### unbind

    public void unbind(Name name)
                throws NamingException

  Specified by:
    `unbind` in interface `Context`
  Throws:
    `NamingException`

### unbind

    public void unbind(String name)
                throws NamingException

  Specified by:
    `unbind` in interface `Context`
  Throws:
    `NamingException`

### rename

    public void rename(Attributes.Name oldName,
                       Attributes.Name newName)
                throws NamingException

  Throws:
    `NamingException`

### rename

    public void rename(String oldName,
                       String newName)
                throws NamingException

  Specified by:
    `rename` in interface `Context`
  Throws:
    `NamingException`

### list

    public NamingEnumeration list(Attributes.Name name)
                           throws NamingException

  Throws:
    `NamingException`

### list

    public NamingEnumeration list(String name)
                           throws NamingException

  Specified by:
    `list` in interface `Context`
  Throws:
    `NamingException`

### listBindings

    public NamingEnumeration listBindings(Name name)
                                   throws NamingException

  Specified by:
    `listBindings` in interface `Context`
  Throws:
    `NamingException`

### listBindings

    public NamingEnumeration listBindings(String name)
                                   throws NamingException

  Specified by:
    `listBindings` in interface `Context`
  Throws:
    `NamingException`

### destroySubcontext

    public void destroySubcontext(Name name)
                           throws NamingException

  Specified by:
    `destroySubcontext` in interface `Context`
  Throws:
    `NamingException`

### destroySubcontext

    public void destroySubcontext(String name)
                           throws NamingException

  Specified by:
    `destroySubcontext` in interface `Context`
  Throws:
    `NamingException`

### createSubcontext

    public Context createSubcontext(Name name)
                             throws NamingException

  Specified by:
    `createSubcontext` in interface `Context`
  Throws:
    `NamingException`

### createSubcontext

    public Context createSubcontext(String name)
                             throws NamingException

  Specified by:
    `createSubcontext` in interface `Context`
  Throws:
    `NamingException`

### lookupLink

    public Object lookupLink(Attributes.Name name)
                      throws NamingException

  Throws:
    `NamingException`

### lookupLink

    public Object lookupLink(String name)
                      throws NamingException

  Specified by:
    `lookupLink` in interface `Context`
  Throws:
    `NamingException`

### getNameParser

    public NameParser getNameParser(Attributes.Name name)

### getNameParser

    public NameParser getNameParser(String name)

  Specified by:
    `getNameParser` in interface `Context`

### composeName

    public String composeName(String name,
                              String prefix)
                       throws NamingException

  Specified by:
    `composeName` in interface `Context`
  Throws:
    `NamingException`

### composeName

    public Name composeName(Name name,
                            Name prefix)
                     throws NamingException

  Specified by:
    `composeName` in interface `Context`
  Throws:
    `NamingException`

### addToEnvironment

    public Object addToEnvironment(String key,
                                   Object val)

  Specified by:
    `addToEnvironment` in interface `Context`

### removeFromEnvironment

    public Object removeFromEnvironment(String key)

  Specified by:
    `removeFromEnvironment` in interface `Context`

### getEnvironment

    public Hashtable getEnvironment()

  Specified by:
    `getEnvironment` in interface `Context`

### close

    public void close()

  Specified by:
    `close` in interface `Context`

### getNameInNamespace

    public String getNameInNamespace()

  Specified by:
    `getNameInNamespace` in interface `Context`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.